Package com.collabnet.ce.soap60.webservices.scm

# Class ExternalSystemSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.scm.ExternalSystemSoapDO

public class ExternalSystemSoapDO extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
This class represents the data associated with an external inregration system.

Since:
  7.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalSystemSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdapterCategory()`
  Returns 'adapterCategory'.
  `String`
  `getAdapterName()`
  Returns 'adapterName'.
  `SoapNamedValues`
  `getAdapterParams()`
  Returns 'adapterParams'.
  `SoapNamedValues`
  `getAdapterParamTypes()`
  Returns 'adapterParamTypes'.
  `String`
  `getSystemDescription()`
  Returns 'systemDescription'.
  `String`
  `getSystemTitle()`
  Returns 'systemTitle'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setAdapterCategory(String adapterCategory)`
  Sets 'adapterCategory'.
  `void`
  `setAdapterName(String adapterName)`
  Sets 'adapterName'.
  `void`
  `setAdapterParams(SoapNamedValues adapterParams)`
  Sets 'adapterParams'.
  `void`
  `setAdapterParamTypes(SoapNamedValues adapterParamTypes)`
  Sets 'adapterParamTypes'.
  `void`
  `setSystemDescription(String systemDescription)`
  Sets 'systemDescription'.
  `void`
  `setSystemTitle(String systemTitle)`
  Sets 'systemTitle'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExternalSystemSoapDO

    public ExternalSystemSoapDO()

- ## Method Details

  - ### getSystemTitle

    public String getSystemTitle()
    Returns 'systemTitle'. The external system title
    Returns:
      Value of 'systemTitle'.

  - ### setSystemTitle

    public void setSystemTitle(String systemTitle)
    Sets 'systemTitle'. The external system title
    Parameters:
      `systemTitle` - Value of 'systemTitle'.

  - ### getSystemDescription

    public String getSystemDescription()
    Returns 'systemDescription'. The external system description
    Returns:
      Value of 'systemDescription'.

  - ### setSystemDescription

    public void setSystemDescription(String systemDescription)
    Sets 'systemDescription'. The external system description
    Parameters:
      `systemDescription` - Value of 'systemDescription'.

  - ### getAdapterName

    public String getAdapterName()
    Returns 'adapterName'. The external system adapter name
    Returns:
      Value of 'adapterName'.

  - ### setAdapterName

    public void setAdapterName(String adapterName)
    Sets 'adapterName'. The external system adapter name
    Parameters:
      `adapterName` - Value of 'adapterName'.

  - ### getAdapterCategory

    public String getAdapterCategory()
    Returns 'adapterCategory'. The external system adapter category
    Returns:
      Value of 'adapterCategory'.

  - ### setAdapterCategory

    public void setAdapterCategory(String adapterCategory)
    Sets 'adapterCategory'. The external system adapter category
    Parameters:
      `adapterCategory` - Value of 'adapterCategory'.

  - ### getAdapterParams

    public SoapNamedValues getAdapterParams()
    Returns 'adapterParams'. The external system adapeter parameters
    Returns:
      Value of 'adapterParams'.

  - ### setAdapterParams

    public void setAdapterParams(SoapNamedValues adapterParams)
    Sets 'adapterParams'. The external system adapeter parameters
    Parameters:
      `adapterParams` - Value of 'adapterParams'.

  - ### getAdapterParamTypes

    public SoapNamedValues getAdapterParamTypes()
    Returns 'adapterParamTypes'. The external system adapeter parameter types
    Returns:
      Value of 'adapterParamTypes'.

  - ### setAdapterParamTypes

    public void setAdapterParamTypes(SoapNamedValues adapterParamTypes)
    Sets 'adapterParamTypes'. The external system adapeter parameter types
    Parameters:
      `adapterParamTypes` - Value of 'adapterParamTypes'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)